## wallet 1.1

=== debian/changelog ===
wallet (1.1-1~sbp70+1) stable; urgency=medium

  * Backport to stable.
  * Tighten build dependency on libwebauth-perl to get the version from
    backports.

 -- Russ Allbery <rra@debian.org>  Wed, 16 Jul 2014 17:48:16 -0700

wallet (1.1-1) unstable; urgency=medium

  * New upstream release.
    - New object type, duo, which creates a UNIX integration with the Duo
      Security cloud multifactor authentication service.
    - The owner and getacl commands now return the name of the ACL.
    - The date passed to expires can be any date format understood by
      Date::Parse.
    - wallet-rekey now works properly with keytabs containing multiple
      principals and does not store new principals in a separate file
      first.
    - Fix setting enctype restrictions on keytab objects and populate the
      reference table for valid enctypes on database creation.
    - Fix Wallet::Config documentation of ldap_map_principal.
    - Generate a long, random password when creating new principals in the
      Heimdal KDC to avoid problems with password quality checks.
    - Remove erroneous foreign key constraints between the object history
      and objects table, an incorrect linkage in the ACL history table,
      and add indices for object type, name, and ACL.
    - Use DateTime objects uniformly in the database layer.
    - ACL renames are now recorded in the ACL history.
    - Fix wallet-backend parsing of the expires command to expect only one
      argument.
    - Fix ordering of table drops during wallet-admin destroy to honor
      foreign key reference constraints.
    - The initial ADMIN ACL creation is no longer documented in history.
  * Document in the wallet-server package description that a DBD::* module
    and corresponding DateTime::Format::* module are required.  (There
    isn't a way to fully represent the required dependency.)
  * Rebuild Autoconf and Automake files during the build.
  * Define AUTOMATED_TESTING to enable some additional Perl tests.
  * Adjust debian/rules for the new Module::Build Perl build system.
  * Drop now-unneeded dh_builddeb override for xz compression.
  * Enable uscan verification of the GnuPG signatures on upstream
    releases in debian/watch.
  * Update standards version to 3.9.5 (no changes required).

 -- Russ Allbery <rra@debian.org>  Wed, 16 Jul 2014 17:08:35 -0700

wallet (1.0-5) unstable; urgency=low

  * Cherry-pick upstream commit to randomize the password used for initial
    Kerberos principal creation when talking to a Heimdal KDC.

 -- Russ Allbery <rra@debian.org>  Thu, 09 Jan 2014 14:05:19 -0800

wallet (1.0-4) unstable; urgency=low

  * Cherry-pick upstream commit to fix wallet-rekey when used with keytabs
    that contain multiple principals.
  * Cherry-pick upstream commit to fix the skipped test count for the
    ldap-attr verifier test.
  * Add libauthen-sasl-perl and libnet-ldap-perl to Build-Depends for the
    test suite.

 -- Russ Allbery <rra@debian.org>  Mon, 06 Jan 2014 21:27:50 -0800

wallet (1.0-3) unstable; urgency=low

  * Cherry-pick upstream commits to fix ACL history entries with
    PostgreSQL, an incorrect foreign key constraint for the object
    history, and bugs in handling of enctype restrictions for keytabs.
  * Move the DateTime::Format::* Perl modules for various databases to
    Depends from Recommends and add the Pg and MySQL versions as
    alternatives.

 -- Russ Allbery <rra@debian.org>  Tue, 05 Nov 2013 13:17:51 -0800

wallet (1.0-2) unstable; urgency=low

  * Cherry-pick upstream commits to fix the t/admin.t test with the
    squeeze version of DBIx::Class.

 -- Russ Allbery <rra@debian.org>  Fri, 29 Mar 2013 13:58:42 -0700

wallet (1.0-1) unstable; urgency=low

  * New upstream release.
    - New wallet-admin upgrade command to upgrade the schema to the latest
      version.  This should be run manually after upgrading the server.
    - Owners of wallet objects are now allowed to destroy them by default.
    - New ACL type ldap-attr to check whether the caller has an attribute
      in an LDAP directory (needs libauthen-sasl-perl and libnet-ldap-perl
      and only works with GSS-API binds).
    - New object type wa-keyring to store WebAuth keyrings (needs
      libwebauth-perl).
    - New acl check command that returns whether the named ACL exists.
    - New comments field for objects and wallet commands to set and
      retrieve it.
  * Switch to xz compression for the upstream and Debian tarballs and
    binary packages.
  * Update debhelper compatibility level to V9.
    - Enable all hardening build flags.
    - Enable parallel builds.
  * Check for any files left uninstalled by dh_install.
  * Tag all packages as Multi-Arch: foreign.
  * Move single-debian-patch to local-options and patch-header to
    local-patch-header so that they only apply to the packages I build and
    NMUs get regular version-numbered patches.
  * Convert debian/copyright to copyright-format 1.0.
  * Update standards version to 3.9.4.
    - Indicate the Debian packaging branch in the Vcs-Git header.

 -- Russ Allbery <rra@debian.org>  Wed, 27 Mar 2013 20:06:21 -0700

wallet (0.12-1) unstable; urgency=low

  * New upstream release.
    - New wallet-rekey client program to rekey a keytab.
    - New ACL type krb5-regex for the server.
    - New objects unused wallet-report report.
    - New acls duplicate wallet-report report.
    - Add a help command to wallet-report.
  * Don't install wallet-summary in /usr/sbin in the wallet-server package
    and instead install it in /usr/share/doc/wallet-server/examples.  This
    program is Stanford-specific and would require extensive changes for
    other sites.
  * Install the other contrib scripts except convert-srvtab-db to the
    examples directory for wallet-server.
  * Switch to 3.0 (quilt) source format.  Force a single Debian patch and
    include a custom patch header explaining that it is a rollup of any

