## wallet 1.4

=== debian/changelog ===
wallet (1.4-1~sbp90+1) oldstable; urgency=medium

  * Backport to oldstable.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Wed, 04 Nov 2020 09:16:10 -0800

wallet (1.4-1) unstable; urgency=medium

  * New upstream release.
    - Substantial improvements to the Active Directory support.  This
      includes several changes to configuration options and new behavior
      for principal naming and directory attributes.  Review the upstream
      documentation if you are using the experimental Active Directory
      support.
    - Install new contrib/ad-keytab script as /usr/bin/ad-keytab.
    - Retrieve krb5.conf settings using the correct default realm.
  * Update debhelper compatibility level to V11.
    - Remove explicit autoreconf sequence configuration.
    - Remove now-unnecessary --parallel flags.
  * Update standards version to 4.1.4.
    - Use https URLs for Vcs-* fields in debian/control.
    - Use https URL for debian/copyright Format field.
    - Change Priority: extra to optional since extra has been retired.
  * Set Rules-Requires-Root: no.
  * Set C_TAP_VERBOSE for better test output.
  * Bump watch file version to 4 and use an https URL.
  * Add upstream-vcs-tag pattern to debian/gbp.conf.
  * Refresh upstream signing key.

 -- Russ Allbery <rra@debian.org>  Sun, 03 Jun 2018 18:18:26 -0700

wallet (1.3-1) unstable; urgency=medium

  * New upstream release.
    - Initial experimental support for Active Directory as the KDC by
      setting KEYTAB_KRBTYPE to AD.
    - New nested ACL scheme to group other ACLs.
    - New external ACL scheme that runs an external command.
    - New variation on the ldap-attr ACL scheme, ldap-attr-root, that
      requires the principal end in /root and removes that part of the
      principal name when checking LDAP.
    - New password object type that generates a new, random password if no
      password was previously stored.
    - New update wallet command that always updates the contents of an
      object before returning it, even if it is marked unchanging.  In the
      long term, the unchanging flag will be replaced by this distinction
      between get and update.
    - New acl replace wallet command that changes all objects owned by one
      ACL to be owned by a different ACL.  This currently only handles
      owner, not the more specific ACLs.
    - All ACL operations now refer to the ACL by name instead of ID.
    - New report for unstored objects.
    - New report to list all object types and ACL schemes.
    - New report to list all ACLs that nest another ACL.
    - New report that dumps all object history.
    - Displays of ACLs and ACL entries are now sorted correctly.
  * Add explicit build dependency on libmodule-build-perl, since it is no
    no longer provided by the perl package.
  * Change the branch layout to follow DEP-14.
  * Run wrap-and-sort -ast on the package.
  * Remove explicit setting of xz as the Debian source package compression
    type.  This is now the default.
  * Refresh upstream signing key.

 -- Russ Allbery <rra@debian.org>  Sun, 17 Jan 2016 20:25:41 -0800

wallet (1.2-1) unstable; urgency=medium

  * New upstream release.
    - New object types duo-radius, duo-ldap, and duo-rdp.
    - New rename command for file objects.
  * Add a gbp.conf file to reflect the branch layout and settings of the
    normal packaging repository.
  * Update standards version to 3.9.6 (no changes required).

 -- Russ Allbery <rra@debian.org>  Mon, 08 Dec 2014 21:13:21 -0800
