=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,14 @@
 # Enable some additional Perl tests.
 export AUTOMATED_TESTING = 1
 
+# Tell C TAP Harness to report the verbose output from all tests.
+export C_TAP_VERBOSE = 1
+
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure --parallel -- --enable-reduced-depends
+	dh_auto_configure -- --enable-reduced-depends
 
 # Install the remctl configuration as part of the build.
 override_dh_auto_install:
