=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://archives.eyrie.org/software/kerberos/wallet-(.*)\.tar\.gz
